/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.so.api.exception;

import org.ow2.petals.cli.extension.command.monitoring.so.api.EmittableDefect;
import org.ow2.petals.cli.extension.command.monitoring.so.api.SubscriptionObject;

/**
 * The name of the emittable defect is invalid.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InvalidEmittableDefectNameException extends SubscriptionObjectException {

    private static final long serialVersionUID = -1775884607437496109L;

    /**
     * The emittable defect having an invalid name
     */
    private final EmittableDefect emittableDefect;

    public InvalidEmittableDefectNameException(final SubscriptionObject subscriptionObject,
            final EmittableDefect emittableDefect) {
        super(subscriptionObject, "The subscription object '" + subscriptionObject.getName()
                + "' has an invalid emittable defect name '" + emittableDefect.getName() + "'.");
        this.emittableDefect = emittableDefect;
	}

    /**
     * @return The emittable defect having an invalid name
     */
    public EmittableDefect getEmittableDefect() {
        return this.emittableDefect;
    }
}
